<h1 class="m-b-10" mat-dialog-title>Create webhook</h1>
<hr class="m-t-10 mat-title-line">
<div mat-dialog-content>
    <p>To complete the setup of the event please <a class="f-semiBold" target="blank" href="https://subscriptions.zoho.com/app#/settings/workflows/webhook/new">click here</a> and make the following 
      selections:</p>
     <p class="m-t-10"> Select the module as Invoice</p>
      <p> Select the predefined events as Invoice CreatedThe in the ACTION set the URL as </p>  

      <div class="m-t-20">
            <input type="text" matInput readonly #userinput value="{{webHookUniqUrl}}"/>
        <button class="m-t-10" mat-raised-button (click)="copyInputMessage(userinput)">Copy link</button> 
        <span style="margin-left: 10px;" *ngIf="showCopiedMsg">copied!</span>
      </div>
      <label class="m-t-20">Note: Please paste the webhook URL to above link otherwise zoho webhook functionality will not work accordingly.</label>
</div>
<div mat-dialog-actions class="text-center m-t-20">
  <div class="mr-auto">
    <button mat-raised-button class="m-r-15 m-b-10" (click)="onNoClick()">Cancel</button>
    <button mat-raised-button class="m-b-10" color="primary" class="default" (click)="onSaveClick()" >Save</button>
  </div>
</div>
